﻿/*
Copyright © 2010 François Karman

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.

See <license.txt> for the complete license of the software.
*/

namespace CodeReview.Binary
{
    /// <summary>
    /// Defines the importance level of a message.
    /// </summary>
    public enum MessageLevel
    {
        /// <summary>
        /// The associated issue is considered as a blocking point for any release.
        /// </summary>
        Error,

        /// <summary>
        /// The associated issue should be corrected as soon as possible.
        /// </summary>
        Warning,

        /// <summary>
        ///  The associated issue should be corrected, if possible.
        /// </summary>
        Information,

        /// <summary>
        /// The associated issue as been explicitly flagged as ignorable.
        /// </summary>
        Ignored,
    }
}
