﻿/*
Copyright © 2010 François Karman

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.

See <license.txt> for the complete license of the software.
*/

using System.Collections.Generic;

namespace CodeReview.Command
{
    /// <summary>
    /// Extension methods for the <see cref="ICollection{T}"/> class.
    /// </summary>
    public static class CollectionExtension
    {
        /// <summary>
        /// Adds all the elements of a list to another.
        /// </summary>
        /// <typeparam name="T">The type of the lists objects.</typeparam>
        /// <param name="reference">The destination of the added object.</param>
        /// <param name="values">The added values.</param>
        public static void AddAll<T>(this ICollection<T> reference, IEnumerable<T> values)
        {
            foreach (T value in values)
            {
                reference.Add(value);
            }
        }
    }
}
