﻿/*
Copyright © 2010 François Karman

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.

See <license.txt> for the complete license of the software.
*/

namespace CodeReview.Command
{
    /// <summary>
    /// Represents a valid option of the command line.
    /// </summary>
    public enum Option
    {
        /// <summary>
        /// The default value.
        /// </summary>
        None,

        /// <summary>
        /// The included checks.
        /// </summary>
        Include,

        /// <summary>
        /// The excluded checks.
        /// </summary>
        Exclude,

        /// <summary>
        /// The checked assemblies.
        /// </summary>
        Assembly,

        /// <summary>
        /// The generated report file.
        /// </summary>
        Report,

        /// <summary>
        /// No output on console.
        /// </summary>
        NoConsole,

        /// <summary>
        /// Display help instead of executing checks.
        /// </summary>
        Help,

        /// <summary>
        /// The ignored message should be in the report.
        /// </summary>
        Ignored,
    }
}
