﻿/*
Copyright © 2010 François Karman

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.

See <license.txt> for the complete license of the software.
*/

using NUnit.Framework;

namespace CodeReview.Binary
{
    /// <summary>
    /// Tests the <see cref="CheckEquivalenceAttribute"/> class.
    /// </summary>
    [TestFixture]
    public static class CheckEquivalenceAttributeTest
    {
        /// <summary>
        /// Tests the <see cref="CheckEquivalenceAttribute.Library"/> property.
        /// </summary>
        [Test]
        public static void Library()
        {
            CheckEquivalenceAttribute instance = new CheckEquivalenceAttribute("my library", "my check id");
            Assert.AreEqual("my library", instance.Library);
        }

        /// <summary>
        /// Tests the <see cref="CheckEquivalenceAttribute.CheckId"/> property.
        /// </summary>
        [Test]
        public static void CheckId()
        {
            CheckEquivalenceAttribute instance = new CheckEquivalenceAttribute("my library", "my check id");
            Assert.AreEqual("my check id", instance.CheckId);
        }
    }
}
