﻿/*
Copyright © 2010 François Karman

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.

See <license.txt> for the complete license of the software.
*/

using System.Runtime.InteropServices;
using NUnit.Framework;

namespace CodeReview.Binary.Design
{
    /// <summary>
    /// Tests the <see cref="CR0017AssemblyShouldHaveComVisibleAttribute"/> class.
    /// </summary>
    [TestFixture]
    public class CR0017AssemblyShouldHaveComVisibleAttributeTest : AbstractCheckTest
    {
        /// <summary>
        /// Tests the check.
        /// </summary>
        [Test]
        public void Check()
        {
            this.Parser.StartParseAssembly(MockAssembly.Instance);
            Assert.IsNull(this.Message);
            this.Parser.ParseAssemblyAttribute(MockAssembly.Attribute(typeof(ComVisibleAttribute)));
            Assert.IsNull(this.Message);
            this.Parser.EndParseAssembly(MockAssembly.Instance);
            Assert.IsNull(this.Message);

            this.Parser.StartParseAssembly(MockAssembly.Instance);
            Assert.IsNull(this.Message);
            this.Parser.EndParseAssembly(MockAssembly.Instance);
            Assert.IsNotNull(this.Message);
        }

        /// <summary>
        /// Initializes a new instance of the check.
        /// </summary>
        /// <returns>
        /// The initialized check.
        /// </returns>
        protected override ICheck InitializeCheck()
        {
            return new CR0017AssemblyShouldHaveComVisibleAttribute();
        }
    }
}
