﻿/*
Copyright © 2010 François Karman

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.

See <license.txt> for the complete license of the software.
*/

using System;
using NUnit.Framework;

namespace CodeReview.Binary
{
    /// <summary>
    /// Tests the <see cref="I18nMessage"/> enumeration.
    /// </summary>
    [TestFixture]
    public static class I18nMessageTest
    {
        /// <summary>
        /// The error message of the AllValuesHaveResource test.
        /// </summary>
        private const string AllValuesHaveResourceFormat = "The resource <{0}> is missing";

        /// <summary>
        /// Tests if all values have an associated message.
        /// </summary>
        [Test]
        public static void AllValuesHaveResource()
        {
            Type reference = typeof(I18nMessage);
            foreach (string name in Enum.GetNames(reference))
            {
                string actual = I18nManager.GetString(reference, name);
                Assert.IsNotNull(actual, AllValuesHaveResourceFormat, name);
            }
        }
    }
}
