﻿/*
Copyright © 2010 François Karman

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.

See <license.txt> for the complete license of the software.
*/

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NUnit.Framework;

namespace CodeReview.Command
{
    /// <summary>
    /// Tests the <see cref="OptionCodes"/> class.
    /// </summary>
    [TestFixture]
    public static class OptionCodesTest
    {
        /// <summary>
        /// Tests the <see cref="OptionCodes.Option"/> property.
        /// </summary>
        [Test]
        public static void Option()
        {
            OptionCodes instance = new OptionCodes(Command.Option.Assembly);
            Assert.AreEqual(Command.Option.Assembly, instance.Option);
        }

        /// <summary>
        /// Tests the <see cref="OptionCodes.Codes"/> property.
        /// </summary>
        [Test]
        public static void Codes()
        {
            OptionCodes instance;

            // with items
            instance = new OptionCodes(Command.Option.Assembly, "a", "b");
            CollectionAssert.IsNotEmpty(instance.Codes);
            CollectionAssert.AreEqual(new string[] { "a", "b" }, instance.Codes);
            Assert.IsTrue(instance.Codes.IsReadOnly);

            // without items
            instance = new OptionCodes(Command.Option.Assembly);
            Assert.IsNotNull(instance.Codes);
            CollectionAssert.IsEmpty(instance.Codes);
            Assert.IsTrue(instance.Codes.IsReadOnly);
        }
    }
}
