﻿/*
Copyright © 2010 François Karman

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.

See <license.txt> for the complete license of the software.
*/

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NUnit.Framework;

namespace CodeReview.Command
{
    /// <summary>
    /// Tests the <see cref="OptionValues"/> class.
    /// </summary>
    [TestFixture]
    public static class OptionValuesTest
    {
        /// <summary>
        /// Tests the <see cref="OptionValues.Option"/> property.
        /// </summary>
        [Test]
        public static void Option()
        {
            OptionValues instance = new OptionValues(Command.Option.Assembly);
            Assert.AreEqual(Command.Option.Assembly, instance.Option);
        }

        /// <summary>
        /// Tests the <see cref="OptionValues.Values"/> property.
        /// </summary>
        [Test]
        public static void Values()
        {
            OptionValues instance = new OptionValues(Command.Option.Assembly);
            Assert.IsNotNull(instance.Values);
            CollectionAssert.IsEmpty(instance.Values);
            Assert.IsFalse(instance.Values.IsReadOnly);
        }
    }
}
