﻿/*
Copyright © 2010 François Karman

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.

See <license.txt> for the complete license of the software.
*/

using System;

namespace CodeReview.MockAssembly
{
    public class MockPublicClass
    {
        private string privateField;
        protected string protectedField;
        internal string internalField;
        public string publicField;

        private MockPublicClass() { }
        protected MockPublicClass(int p) { }
        internal MockPublicClass(int p1, int p2) { }
        public MockPublicClass(int p1, int p2, int p3) { }
        ~MockPublicClass() { }

        private event EventHandler PrivateEvent;
        protected event EventHandler ProtectedEvent;
        internal event EventHandler InternalEvent;
        public event EventHandler PublicEvent;

        private string PrivateProperty { get; set; }
        protected string ProtectedProperty { get; set; }
        internal string InternalProperty { get; set; }
        public string PublicProperty { get; set; }

        private void PrivateMethod() { }
        protected void ProtectedMethod() { }
        internal void InternalMethod() { }
        public void PublicMethod() { }
    }
}
